Bug 37959 - openssl: Denial of service (3.2)
openssl: Denial of service (3.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 3.2
Other Linux
: P3 normal (vote)
: UCS 3.2-5-errata
Assigned To: Arvid Requate
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-06 12:57 CET by Moritz Muehlenhoff
Modified: 2015-03-25 14:03 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2015-03-06 12:57:20 CET
NULL pointer dereference in X509 parsing (CVE-2015-0288)
NULL pointer derererence in elliptic curves (CVE-2015-0209)
Comment 1 Arvid Requate univentionstaff 2015-03-18 10:25:03 CET
Handshake with unseeded PRNG (CVE-2015-0285)
Comment 2 Arvid Requate univentionstaff 2015-03-18 14:03:01 CET
Cherrypicked from errata3.2-4 (==ucs3.2-5) to errata3.2-5.

CVE-2015-0285 does not apply to 0.9.8o, introduced later via upstream git commit 173e72e64c6a07ae97660c322396b66215009f33 (Mon Mar 11 15:34:28 2013)

Advisory: 2015-03-18-openssl.yaml
Comment 3 Philipp Hahn univentionstaff 2015-03-18 18:02:00 CET
OK: aptitude install '?source-package(openssl)?installed' # i386
OK: dpkg-query -W openssl # 0.9.8o-4.91.201503181343
OK: openssl x509 -noout -text -in /etc/univention/ssl/ucsCA/CAcert.pem
OK: openssl s_client -host www.univention.de -port 443 <<<'GET /'
OK: r14493 patch
OK: r59170 YAML
OK: errata-announce -V 2015-03-18-openssl.yaml
FIXED: 2015-03-18-openssl.yaml -> r59188
Comment 4 Arvid Requate univentionstaff 2015-03-19 16:36:34 CET
Additional issues:

Denial of service during certificate signature algorithm verification in ASN1_TYPE_cmp function (CVE-2015-0286)

Memory corruption in ASN.1 parsing. Only affects applications with rarely found strongly discouraged ASN.1 parsing flaw (CVE-2015-0287)

Denial of service due to NULL pointer dereference in the PKCS#7 parsing code. Quote: "Applications that verify PKCS#7 signatures, decrypt PKCS#7 data or otherwise parse PKCS#7 structures from untrusted sources are affected. OpenSSL clients and servers are not affected." (CVE-2015-0289)

Memory corruption due to missing input sanitising in base64 decoding. Could be exploited by maliciously crafted base64 data. Quote: "Any code path that reads base64 data from an untrusted source could be affected (such as the PEM processing routines). (CVE-2015-0292)
Comment 5 Moritz Muehlenhoff univentionstaff 2015-03-23 14:32:45 CET
(In reply to Arvid Requate from comment #4)
> Additional issues:

These are now all fixed in squeeze-lts:
https://lists.debian.org/debian-lts-announce/2015/03/msg00014.html
Comment 6 Arvid Requate univentionstaff 2015-03-23 18:33:29 CET
The upstream package has been imported ans built in errata3.2-5.
Advisory is updated.
Comment 7 Philipp Hahn univentionstaff 2015-03-24 09:47:48 CET
OK: apt-cache policy openssl # 0.9.8o-4.96.201503231742
OK: aptitude install '?source-package(openssl)?installed' # i386
OK: zless /usr/share/doc/openssl/changelog.Debian.gz # 0.9.8o-4squeeze20
OK: openssl x509 -noout -text -in /etc/univention/ssl/ucsCA/CAcert.pem
OK: openssl s_client -host www.univention.de -port 443 <<<'GET /'
OK: univention-certificate check -name "$(hostname -f)"
OK: univention-certificate new -name "test.$(dnsdomainname)" -days 3650
OK: echo ZW5jb2RlIG1lCg================================================================== | openssl enc -d -base64

(In reply to Arvid Requate from comment #4)
OK: CVE-2015-0286 CVE-2015-0289 CVE-2015-0289 CVE-2015-0292

OK: r59331 YAML
OK: errata-announce -V 2015-03-18-openssl.yaml
OK: 2015-03-18-openssl.yaml
Comment 8 Janek Walkenhorst univentionstaff 2015-03-25 14:03:42 CET
<http://errata.univention.de/ucs/3.2/303.html>